# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


# Allow dependency cycle with npm to be broken
%global enable_npm_tests 0

Name:           nodejs-init-package-json
Version:        1.9.3
Release:        alt1_6
Summary:        A node module to get your node module started

Group:          System/Libraries
License:        BSD
URL:            https://github.com/isaacs/init-package-json
Source0:        https://registry.npmjs.org/init-package-json/-/init-package-json-%{version}.tgz
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

BuildRequires:  npm(tap)
BuildRequires:  npm(glob)
%if 0%{?enable_npm_tests}
BuildRequires:  npm(npm)
%endif
BuildRequires:  npm(npm-package-arg)
BuildRequires:  npm(promzard) >= 0.3.0
BuildRequires:  npm(read)
BuildRequires:  npm(read-package-json)
BuildRequires:  npm(rimraf)
BuildRequires:  npm(semver)
BuildRequires:  npm(validate-npm-package-license)
BuildRequires:  npm(validate-npm-package-name)
Source44: import.info

%description
A node module to get your node module started, by creating its package.json
metadata file.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/init-package-json
cp -pr package.json init-package-json.js default-input.js %{buildroot}%{nodejs_sitelib}/init-package-json
%nodejs_symlink_deps


%check
exit 0
%nodejs_symlink_deps --check
%if !0%{?enable_npm_tests}
rm test/npm-defaults.js
%endif
tap test/*.js


%files
%doc README.md example
%doc --no-dereference LICENSE
%{nodejs_sitelib}/init-package-json


%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 1.9.3-alt1_6
- fc update

* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 1.9.3-alt0.1.njs.bootstrap
- bootstrap

